## HdyColumn HdyColumn — A container letting its child grow up to a given width. |

## Functions

HdyColumn * | hdy_column_new ()
gint | hdy_column_get_maximum_width ()
void | hdy_column_set_maximum_width ()
gint | hdy_column_get_linear_growth_width ()
void | hdy_column_set_linear_growth_width ()

## Properties

gint | linear-growth-width | Read / Write
gint | maximum-width | Read / Write

## Types and Values

#define | HDY_TYPE_COLUMN
| HdyColumn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── HdyColumn

## Implemented Interfaces

HdyColumn implements AtkImplementorIface and GtkBuildable.

## Description

The HdyColumn widget limits the size of the widget it contains to a given maximum width. The expansion of the child from its minimum to its maximum size is eased out for a smooth transition.

If the child requires more than the requested maximum width, it will be allocated the minimum width it can fit in instead.

## Functions

### hdy_column_new ()

    HdyColumn *
    hdy_column_new (void);

Creates a new HdyColumn.

#### Returns

a new HdyColumn

### hdy_column_get_maximum_width ()

    gint
    hdy_column_get_maximum_width (HdyColumn *self);

Gets the maximum width to allocate to the contained child.

#### Parameters

self | a HdyColumn |

#### Returns

the maximum width to allocate to the contained child.

### hdy_column_set_maximum_width ()

    void
    hdy_column_set_maximum_width (HdyColumn *self,
                                  gint maximum_width);

Sets the maximum width to allocate to the contained child.

#### Parameters

self | a HdyColumn |
maximum_width | the maximum width |

### hdy_column_get_linear_growth_width ()

    gint
    hdy_column_get_linear_growth_width (HdyColumn *self);

Gets the width up to which the child will be allocated all the available width and starting from which it will be allocated a portion of the available width. In bith cases the allocated width won't exceed the declared maximum.

#### Parameters

self | a HdyColumn |

#### Returns

the width up to which the child will be allocated all the available width.

### hdy_column_set_linear_growth_width ()

    void
    hdy_column_set_linear_growth_width (HdyColumn *self,
                                        gint linear_growth_width);

Sets the width up to which the child will be allocated all the available width and starting from which it will be allocated a portion of the available width. In bith cases the allocated width won't exceed the declared maximum.

#### Parameters

self | a HdyColumn |
linear_growth_width | the linear growth width |

## Types and Values

### HDY_TYPE_COLUMN

    #define HDY_TYPE_COLUMN (hdy_column_get_type())

### HdyColumn

    typedef struct _HdyColumn HdyColumn;

## Property Details

### The `“linear-growth-width”` property

      “linear-growth-width”      gint

The width up to which the child will be allocated all the width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“maximum-width”` property

      “maximum-width”            gint

The maximum width allocated to the child.

Flags: Read / Write

Allowed values: >= 0

Default value: 0